﻿Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports System.Runtime.InteropServices

Imports Microsoft.SharePoint
Imports Microsoft.SharePoint.Administration

Namespace Microsoft.Sample.ContentWeb.ClaimsSecurity
    ''' <summary>
    ''' For SharePoint Hierarchical Object Store to store a database connectionstring.
    ''' </summary>
    <Guid("56705e15-abd3-44f0-adea-91488da1a572")> _
 Public Class ConnectionStringStorage
        Inherits SPPersistedObject
        <Persisted()> _
  Private m_connectionString As String

        Public Sub New()
        End Sub

        Public Sub New(ByVal name As String, ByVal parent As SPPersistedObject)
            MyBase.New(name, parent)
        End Sub

        Public Sub New(ByVal name As String, ByVal parent As SPPersistedObject, ByVal guid As Guid)
            MyBase.New(name, parent, guid)
        End Sub

        Public Property ConnectionString() As String
            Get
                Return m_connectionString
            End Get
            Set(ByVal value As String)
                m_connectionString = value
            End Set
        End Property
    End Class
End Namespace