﻿Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text

Namespace Microsoft.Sample.ContentWeb.ClaimsSecurity
    ''' <summary>
    ''' Claim type mappings are currently immutable!
    ''' </summary>
    Friend Class ContentWebClaimTypes
        Public Shared ContentWebClaimTypePrefix As String = "http://contentweb.microsoft.com"
        Public Shared PersonnelNumber As String = ContentWebClaimTypePrefix & "/PersonnelNumber"
        Public Shared [Alias] As String = ContentWebClaimTypePrefix & "/Alias"
        Public Shared FullName As String = ContentWebClaimTypePrefix & "/FullName"
        Public Shared CompanyCode As String = ContentWebClaimTypePrefix & "/CompanyCode"
        Public Shared UserType As String = ContentWebClaimTypePrefix & "/UserType"
        Public Shared UserSubType As String = ContentWebClaimTypePrefix & "/UserSubType"
        Public Shared Manager As String = ContentWebClaimTypePrefix & "/Manager"
        Public Shared HROrg As String = ContentWebClaimTypePrefix & "/HROrg"
        Public Shared HRPro As String = ContentWebClaimTypePrefix & "/HRPro"
        Public Shared Partner As String = ContentWebClaimTypePrefix & "/Partner"
        Public Shared Leader As String = ContentWebClaimTypePrefix & "/Leader"
        Public Shared VP As String = ContentWebClaimTypePrefix & "/VP"
        Public Shared CountryCode As String = ContentWebClaimTypePrefix & "/CountryCode"
        Public Shared Level As String = ContentWebClaimTypePrefix & "/Level"
        Public Shared Profession As String = ContentWebClaimTypePrefix & "/Profession"
        Public Shared Discipline As String = ContentWebClaimTypePrefix & "/Discipline"
        Public Shared StandardTitle As String = ContentWebClaimTypePrefix & "/StandardTitle"
        Public Shared Blocked As String = ContentWebClaimTypePrefix & "/Blocked"
        Public Shared BlockedRedirect As String = ContentWebClaimTypePrefix & "/BlockedRedirect"
        Public Shared VPAPersonnelNumber As String = ContentWebClaimTypePrefix & "/VPAPersonnelNumber"
        Public Shared VPAAlias As String = ContentWebClaimTypePrefix & "/VPAAlias"
        Public Shared VPAFullName As String = ContentWebClaimTypePrefix & "/VPAFullName"
        Public Shared CompoundClaim As String = ContentWebClaimTypePrefix & "/CompoundClaim"
        Public Shared Message As String = ContentWebClaimTypePrefix & "/Message"
    End Class
End Namespace